Summary:	Text to Postscript filter.
Summary(pl):	Filtr text/plain do  Postscriptu
Name:		a2ps
Version:	4.12
Release:	1
Copyright:	GPL
Group:		Utilities/Text
Group(pl):	Narzdzia/Tekst
Source:		ftp://ftp.enst.fr/pub/unix/a2ps/%{name}-%{version}.tar.gz
Patch:		a2ps-info.patch
Prereq:		/sbin/ldconfig
URL:		http://www.inf.enst.fr/~demaille/a2ps/
BuildRoot:	/tmp/%{name}-%{version}-root

%description
a2ps is a text to PostScript filter with pretty-printing capabilities.
It includes support for a wide number of programming languages,
encodings (ISO Latins, Cyrillic etc.), medias, and spoken languages
(for the interface).
It has also the ability to delegate the processing of some files to
other applications, letting you print DVI, PostScript etc. with the
very same interface.

%description -l pl 
A2ps jest programem pozwalajajcym na adne drukowanie plikw tekstowych w 
PostScript. Posiada wsparcie dla wielu rnych jzykw programowania, 
zestaww znakw (ISO Latins, Cyrilica etc.), wielkoci papieru, i jzykw 
komunikacji z uytkownikiem. Potrafi take przekaza przetwarzanie plikw 
do innych programw (tak, e mona wszystko drukowa (DVI, PostScript) przy 
uyciu tego samego polecenia. Zawiera program ,,ogonkify'' poprawiajcy 
bdnie zakodowany PostScript zawierajcy polskie znaki. 

%package	devel
Summary:	Header files and development documentation for a2ps
Summary(pl):	Pliki nagwkowe i dokunentacja do a2ps
Group:		Libraries
Group(pl):	Biblioteki
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for a2ps.

%description devel -l pl
Pliki nagwkowe i dokumentacja do a2ps.

%package	static
Summary:	a2ps static libraries
Summary(pl):	Biblioteki statyczne do a2ps
Group:		Libraries
Group(pl):	Biblioteki
Requires:	%{name}-devel = %{version}

%description static
a2ps static libraries.

%description static -l pl
Biblioteki statyczne do a2ps.

%prep
%setup -q 
%patch -p1

%build
autoheader
autoconf
CFLAGS=$RPM_OPT_FLAGS LDFLAGS=-s \
./configure %{_target_platform} \
	--with-included-gettext \
	--prefix=/usr \
	--sysconfdir=/etc \
	--with-medium=A4  \
	--with-encoding=latin1 \
	--enable-shared
make

%install
rm -rf $RPM_BUILD_ROOT

perl -pe 's/^lispdir = $/lispdir = {prefix}\/lib/g' contrib/emacs/Makefile >tmp

mv tmp contrib/emacs/Makefile
make prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc install

#chmod 755	$RPM_BUILD_ROOT%{_libdir}/*.so.*
gzip -9nf $RPM_BUILD_ROOT%{_infodir}/* \
	$RPM_BUILD_ROOT%{_mandir}/man1/* \
	AUTHORS ChangeLog NEWS README THANKS

%find_lang %{name}

%post
/sbin/install-info %{_infodir}/a2ps.info.gz /etc/info-dir 
/sbin/install-info %{_infodir}/ogonkify.info.gz /etc/info-dir 
/sbin/ldconfig

%preun
if [ $1 = 0 ]; then
	/sbin/install-info --delete %{_infodir}/a2ps.info.gz /etc/info-dir
	/sbin/install-info --delete %{_infodir}/ogonkify.info.gz /etc/info-dir
fi

%postun 
/sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc {AUTHORS,ChangeLog,NEWS,README,THANKS}.gz

%config(noreplace) %verify(not size mtime md5) /etc/a2ps.cfg

%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*.so.*
%{_mandir}/man1/*
%{_infodir}/a2ps*info*
%{_infodir}/ogonkify*info*

%dir %{_datadir}/a2ps/afm
%{_datadir}/a2ps/afm/*.afm
%{_datadir}/a2ps/afm/*.map
%attr(755,root,root) %{_datadir}/a2ps/afm/*.sh

%dir %{_datadir}/a2ps/encoding
%{_datadir}/a2ps/encoding/*

%dir %{_datadir}/a2ps/fonts
%{_datadir}/a2ps/fonts/*

%dir %{_datadir}/a2ps/ogonkify
%{_datadir}/a2ps/ogonkify/*.enc
%{_datadir}/a2ps/ogonkify/*.ps

%dir %{_datadir}/a2ps/ppd
%{_datadir}/a2ps/ppd/*.ppd

%dir %{_datadir}/a2ps/ps
%{_datadir}/a2ps/ps/*

%dir %{_datadir}/a2ps/sheets
%{_datadir}/a2ps/sheets/*

%files devel
%defattr(644,root,root,755)

%attr(755,root,root) %{_libdir}/lib*.so

%{_includedir}/*

%files static
%defattr(644,root,root,755)

%{_libdir}/lib*.a

%clean
rm -rf $RPM_BUILD_ROOT
